commit:     fc93c3fd333e57b04514a6cb5e357a3ca0df8cfb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  9 07:00:39 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan  9 08:09:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc93c3fd

dev-python/xcffib: Bump to 1.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/xcffib/Manifest            |  1 +
 dev-python/xcffib/xcffib-1.2.0.ebuild | 44 +++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/xcffib/Manifest b/dev-python/xcffib/Manifest
index fff2d1922d19..b5ccd40ca855 100644
--- a/dev-python/xcffib/Manifest
+++ b/dev-python/xcffib/Manifest
@@ -1,2 +1,3 @@
 DIST xcffib-0.12.1.tar.gz 85272 BLAKE2B 
6db2f19caf13d406297198c3829456cb45b5195e2d068b1f5ad01c25d4ed75e3187854da24156c3c5396a559b11c2d6949711b793c5bf5c83e18e9aa54307983
 SHA512 
6530fb53fa18a3905d7c9e8dd5d05ea084de4a5f392e32953a9786998dd194b2db55b54fa44dbc3e6b68e68ae00431de7432d6884f777734409d660dae325d6e
 DIST xcffib-1.1.2.tar.gz 87303 BLAKE2B 
0727c1c4c49692d8daff79d77487cfd2780a4279fa2bd49b45d87f48186e9ba0ee3ea46841dc259e7a3b5e301caacdee764762efe96217e138e6f8cedb2a986f
 SHA512 
21606034bd0be2e1cf87b20904b006f7eb6eecbd835eff778f064ecb2bc16d17f48a6acce0eb1a30ca9bd98d810b4b1674bdadc9f6e42c5effee777f7bd138aa
+DIST xcffib-1.2.0.tar.gz 88972 BLAKE2B 
a8d9be7c3149f696d06474aab85e9f7605d45e9861151192dbb7b51e48483f75adb721e17531432294d19d8d6498b66ba312702ea011e8470c3ac42ac0cd6e23
 SHA512 
7012833f2877edea92cdc15030543883e2a848264c034a81222626ad48a69fcdac8a88cec2e07e61a80102640baa7fbdf29bbf25e08e59fc896aada08533bb77

diff --git a/dev-python/xcffib/xcffib-1.2.0.ebuild 
b/dev-python/xcffib/xcffib-1.2.0.ebuild
new file mode 100644
index 000000000000..81e8a40c958b
--- /dev/null
+++ b/dev-python/xcffib/xcffib-1.2.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="A drop in replacement for xpyb, an XCB python binding"
+HOMEPAGE="
+       https://github.com/tych0/xcffib/
+       https://pypi.org/project/xcffib/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+DEPEND="
+       x11-libs/libxcb
+"
+RDEPEND="
+       $(python_gen_cond_dep '
+               >=dev-python/cffi-1.1:=[${PYTHON_USEDEP}]
+       ' 'python*')
+       dev-python/six[${PYTHON_USEDEP}]
+       ${DEPEND}
+"
+BDEPEND="
+       test? (
+               x11-base/xorg-server[xvfb]
+               x11-apps/xeyes
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       rm -rf xcffib || die
+       epytest
+}

Reply via email to